> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document changelog revision



## OpenAPI

````yaml get /v1/documents/{id}/changelog/{revisionId}
openapi: 3.0.0
info:
  title: Document APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/document
  - url: https://staging.api.eu.aptlydone.com/document
  - url: https://api.us.aptlydone.com/document
  - url: https://api.eu.aptlydone.com/document
security: []
tags: []
paths:
  /v1/documents/{id}/changelog/{revisionId}:
    get:
      tags:
        - documents
      summary: Get document changelog revision
      operationId: DocumentController_getDocumentChangelogRevisionDetails_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: revisionId
          required: true
          in: path
          schema:
            type: string
        - name: tenantId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Document changelog revision details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentChangelogDetailItemResponse'
      security:
        - accessToken: []
components:
  schemas:
    DocumentChangelogDetailItemResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:12:23.874Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DocumentChangelogDetailItem'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DocumentChangelogDetailItem:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Document Changelog Detail ID
        documentChangelogId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of document changelog
        fieldName:
          type: string
          example: name
          description: Field Name
        originalValue:
          type: string
          nullable: true
          example: Long-term Investments
          description: Original Value
        updatedValue:
          type: string
          nullable: true
          example: Long-term Investments 1
          description: Updated Value
      required:
        - id
        - documentChangelogId
        - fieldName
        - originalValue
        - updatedValue
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````